using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Drawing.Drawing2D;

namespace Shapes
{
   public partial class Form2 : Form
   {
      public Form2()
      {
         InitializeComponent();
      }

      protected override void OnPaint(PaintEventArgs e)
      {
         base.OnPaint(e);
         GraphicsPath shape = new GraphicsPath();
         shape.AddEllipse(0, 31, this.Width, this.Height - 31);
         this.Region = new Region(shape);
      }

   }
}